// LogCtrl.h: interface for the CLogCtrl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOGCTRL_H__7E6E1A8A_01C1_48A0_8F45_E61E730E1D51__INCLUDED_)
#define AFX_LOGCTRL_H__7E6E1A8A_01C1_48A0_8F45_E61E730E1D51__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>


class CLogCtrl  
{
public:
	CLogCtrl();
	~CLogCtrl();

	void Init( long x, long y, long width, long height, HWND hwndParent );

	void SetPosition( long x, long y );
	void SetSize( long width, long height );

	void OutputMessage( const char* szMsg );

private:
	HWND m_hwndEdit;
	HFONT m_hFont;
	POINT m_ptPosition;
	POINT m_ptSize;
};

#endif // !defined(AFX_LOGCTRL_H__7E6E1A8A_01C1_48A0_8F45_E61E730E1D51__INCLUDED_)
